Welcome to ASP

Welcome to ASP-Edit (C) Tashcom Software 1999-2000

 Version 2.05 / Build 1

Copyright Tashcom Software 1999-2000, all rights reserved
for more information visit our website at http://www.tashcom.com

all copyrights used in this software are held by their respective software houses/authors


Using ASP-Edit (C) Tashcom Software 1999-2000

Since ASP-Edit is a text oriented editor its usage is simple and straightforward.
All routines / statements are placed under their own sub-menu under the main menu bar.
ASP-Edit uses color coding to enable you to see the difference between actual ASP statements, HTML or VBScript.

Since ASP is a Microsoft product we support VBScript as the scripting language that goes with it, J-Script will be supported in later versions.

ASP-Edit makes use of drag and drop toolbars, these toolbars contain the essential shortcuts to options that are used frequently, you can reach options like the preferences screen, the publishing screen, hide the file panel, do a search and replace within documents etc.

Currently ASP-Edit supports up to HTML 4, and the current ASP and VBScript sets as brought out by the Microsoft corporation


ASP-Edit Assistant

ASP-Edit has its own personal assistant, advisor if you like, professor strudel will help you out where-ever possible and will tell you what a certain feature does, so you can decide if that is the feature you want to use.

If you have enough of his babble, you can let him retire via de view menu, click on the view assistant entry and he will go back to his office until you need advice again.


SQL query generator wizard

The SQL Query generator is a strong feature and will help you to create SQL queries fast, efficient and with ease, you can test the query to see if it is in working order and check if the data is existing in the database.

Select a datasource, then select a database and finally select the fields you want to have in the query, then click on Generate Sql.

You can add extra information to the query,if you want to display a field that contains a certain value, for example if orderid equals 10, you would set the value box to 10, click on add to statement and there it is.

Here is the result of the demo query, the database contains data, the query is working, we can use this query in our web project!


Configuring DSN's

The DSN (Data source) wizard allows you to configure the dsn's available on your system, the same options are available as in the ODBC configuration tool.


Setting up DSN-Less connections

You can set up database connections without the usage of DSN's, the dsn less wizard will help you achieve that, fill in the blanks and click on ok to generate the necessary code.

NB: In this version dsn less connections only supports MS-Access files!


HTML and Web-TV Tags

ASP-Edit supports the whole range of HTML and Webtv tags which you can access via the html panel located on the file-manager tab on the left, you can also access and display the tags via the toolbar.


Altering the registry entries

This is a powerful feature of ASP-Edit, it enables you to directly alter the ASP Server extensions on the webserver which are stored in the registry and are not easy to access without knowledge on how to use regedit.

ASP-Edit makes the process a lot easier by visualizing the data in a normal manner instead of the 'spaggeti' manner that regedit uses.

Remember that nothing is altered until you press the save settings button, and if all goes wrong use the supplied backup of the standard registry entries (located in the subdirectory called registry).

Please note that ASP-Edit must be running on the webserver machine in order to change the registry settings.

All the options are usually set to standard values, if you want to change the values please consult a ASP book, or a ASP professional.


The filemanager

The file-manager displays which files are currently open in the editor, what time the were saved for the last time, and the estimate download time in various speeds (document weight)


Publishing your work to the server

ASP-Edit comes equipped with a publishing tool which is ftp based, in order to use it properly you *must* have a username and password on the server where you want to publish your work on, if you are not sure about this contact your systems administrator or network administrator.

The publishing tool only works when you registered ASP-Edit.

Fill in the servername (hostname), your username and password, click on connect to make a connection to the server. NB. ASP-Edit remembers the last session, if you publish to the same server you need not fill in the server details.

As soon as the connection is established you can select the file(s) you want to transfer to the server (hold down shift or ctrl for multiple files), when selected click on the [image] button to perform the actual transfer of the files, as soon as they are transferred you can disconnect from the server and start testing your work.

The publishing tool is FTP based, if you don't know how this works on your server contact your network supervisor or administrator for more info.


Open from URL

Just a you can open a document from your local (or network) drive, you can also open any html document located anywhere on the internet.

Type in the complete url and click on fetch webpage, ASP-Edit will automaticly download the page, save it to your drive and open it in the editor so you can start editing, especially handy for remote work!


Setting your preferences

ASP-Edit allows you to set preferences and change its appearance.
Fill in the details, do not forget to fill in your name and email address which is important in case of support related questions. You can alter the editor screen and text colors, the font size and color of the text within the editor boxes.
Optionally you can alter the color of the ASP/VBScript and HTML commands to suit your color need.
You can set the total amount of documents you want to have open, the less documents are open the less resources of windows will be used.
You can also determine how the tags are added to the document (normal,. uppercase, lowercase or capitalized (Every First Letter Of A Word Is Uppercase)
Here you set the level of ident, and if you want to ident html and/or VBScript during the beatify process

Do not forget to save your changes, click on save information to save the configuration, or click on cancel if you want to discard the changed information.


The Toolbar

The toolbar is 'floatable' and can be docked on several places within the main screen (the top and side of documents), the toolbar contains the most used tools and features to enable you to work fast, efficient and easy.
  1. New document
  2. Open existing document
  3. Save current document's, ctrl+s
  4. Undo last action
  5. Cut
  6. Copy
  7. Paste
  8. Search and Replace
  9. Word-wrap on / of
  10. Show file panel of / of
  11. Change look of edit boxes (tabs new style / old style)
  12. Preferences (configuration screen)
  13. Publish Files to server (*)
  14. Beautify sourcefile(s) (*)

(*) Works only in registered version


The html toolbar

The bottom toolbar lets you set the most common used html tags (bold/italics/underline)
Headings, the font color wizard, font face selector, the add link, link validator and document validator


User-defined tags

The user defined tag wizard allows you to add new tags to ASP-Edit.

Usually a tag consists of a start and ending tag, but it is not mandatory to have those in certain new tags or attributes.

When done click on save, then close to close the wizard, the user-defined tag window on the file-manager panel will be refreshed and your new tag is ready to be used


Internal browser

You can use the internal browser to view your work before publishing, start the browser via ALT+F11.

*NOTE:*, ASP files can cause errors or will not be displayed properly when viewed from your local drive, upload the document first and view then remote. Because ASP files need to go thru the proper channels before it is displayed.


Add hyperlink (url)

You can add hyper links via the add-link wizard, the wizard will create the right hyperlink from the information you typed in


Add image or imagelink (url)

You can easily add images to your pages by using the add image wizard.
Select a image file on your system and click on the next button.

Here you can finalize the actu al entry, and select if you want the image to be a hyperlink or not


Document structure validator

The document structure validator shows a breakdown of the current file, it will show all used tags in a hierarchy form, the second tab shows all the links encountered in the document


Encrypt your sources

Protect your sources against hackers and crackers, this wizard is a shell around the microsoft encryption tool (which is now installed on your sytem).

Select a file in the filemanager, then give a output filename, click on encrypt file and your asp file will be encrypted but still works like before..

The encryption wizard is located under the tools menu, and the right mouse button


Mail form wizard

This wizard creates a routine which you can use on your page to allow visitors to send email to you.

Type in your emailaddress and the wizard will generate the proper code, this will work together with the sendmail.asp, which needs to be in the same directory.


Email Source

ASP-Edit allows you to send the source(s) you are working on via email to other users, you can use this as a alternative to the publishing agent.


Document handling in general
ASP-Edit handles asp files as text-files, colorizing of the documents is done realtime within the windows environment and has no effect on the actual document.

There is no! 32kb size limit, ASP-Edit allows you to edit very large documents without any problem.

You can use the right mouse button to select features that help you with the editing of the actual documents (cut & paste, case related actions, print document, show filemanager etc.)

It is also possible to let ASP-Edit treat hard returns/enters as <br> (see setting up ASP-Edit)


Document handling (New page wizard)

ASP-Edit allows you to quickly generate the document frame you want to work with, when selecting to create a new file you will see the new page wizard.

Set the preferred options and click on generate page to create the framework for the new page.


Font color selector

This will create a <font color="#hexvalue"></font> entry in the current document


Make function wizard

This is a strong feature in ASP-Edit, it will turn the selected text in a document into a VBScript function, which you can call from anywhere within your document.
Default it will paste the new function into your document, but you can also save it as a include file by ticking the save function as a include file checkmark.

As a example we made a small piece of our index page into a function

<%
function logo_left
response.write ("<html>")
response.write ("<head>")
response.write ("<meta http-equiv='Content-Language' content='en-gb'>")
response.write ("<meta http-equiv='Content-Type' content='text/html; charset=windows-1252'>")
 response.write ("<meta NAME='keywords' CONTENT='html, asp, editor, webdesign, shareware,webcards'>")
response.write ("<meta NAME='description' CONTENT='Free software, great shareware!!!!'>")
response.write ("<meta NAME='copyright' CONTENT='1999, Tashcom Softwarre'>")
response.write ("<meta NAME='author' CONTENT='Tashcom Software'>")
response.write ("<meta NAME='revisit-after' CONTENT='2 Weeks'>")
response.write ("<meta NAME='Robot' CONTENT='ALL'>")
response.write ("<meta NAME='rating' CONTENT='General'>")
response.write ("<meta NAME='DC.Title' CONTENT='Tashcom Software'>")
response.write ("<meta NAME='DC.Creator' CONTENT='Tashcom Softwarew'>")
response.write ("<meta NAME='DC.Description' CONTENT='Free software, great shareware!!!!'>")
end function
%>

Note that all the " characters are converted to ', in order to keep the VBScript convention as it should be.

The proper way of calling this function within your documents would be.

call logo_left


Font face selector

This will create a <font face="selected font"></font> entry in the current document


META tag Wizard

Meta tags are commonly used to increase your rating on search engines, the meta wizard will create all the correct entries for you and inserts them into the active document.


Beautify your sources

ASP-Edit allows you to beautify your ASP/VBScript sources, and make them more readable for your and other programmers convenience.

To beautify the document you are currently working in you can either press F12, Click on the right mouse button, or select beautify source from the tool menu.
This screen will appear, click on beautify and your document will be beautified.

* NB. This feature only works in the registered version!


Table Wizard

ASP-Edit makes creating tables easy, follow the 4 step wizard to complete the most tedious task in a matter of minutes
Here you set all the specifics, the amount of rows and colums, and the width of the table (default at 100%)

Then click on the next button

Here you set the essentials like cellpadding, spacing, border size and alignment.

The assistant will guide you through the process
You can give your table a caption (banner name), if not just clear out the text that is already there and the wizard will skip the caption in the generating of the table
This is a feature that shows the strength of ASP-Edit, you can if desired turn the table into a VBScript function, so you can display the table in any place within your document with a simple call statement (sample included in the generated function)


The image previewer

ASP-Edit comes equipped with a image preview so you can see what you include in a document.

The previewer supports;GIF/JPG/BMP/PCX etc.


ASP-Edit Gif-Animator
The Gif animator allows you to create animated gifs in a fast and easy manner.

Simply add the gif files and set the options to create your animated gif..


Document handling (the edit screens)

The main statusbar displays the current time and date, and will alert you if there are any error messages to display.

The status bar will indicate how many lines the current document holds, which line you are currently editing and where the cursor position in the that line is. This statusbar is document specific, and will only display information about the current active document.

The Right mouse button menu

Undo, Undoes the last action taken in the edit screen

Cut / copy and paste, Allows you to either cut, copy or paste the selected text. The text will be inserted at the current cursor position

Uppercase, Lower case and Capitalize selection,
This will either uppercase or lowercase the selected text, capitalize will propercase the selected text.
eg. this will turn out as - This Will Turn Out As.

Print document, Prints current active document

Jump to Line, jumps to the line-number you inserted

Show File-manager, this will popup the file-manager window

Close file, closes the current active document.

The file menu explorer allows you to quickly select the file(s) you want to load, right click to select the file-mask you want to be the active file-mask (*.asp / *.asa / *.inc / *.htm /*.html /*.shtml / or all files)

The manager tab displays all files currently open within the editor


The Wizards

ASP-Edit comes equipped with several easy to use wizards, all wizards produce the result in the current active document.
The cookie wizard enables you to generate to code which in turn will create cookies on the end-users system, alternatively you can use the cookie library included with ASP-Edit
The Sql wizard allows you to generate the proper sql statements which you need to handle databases. Fill in the variable name and the table name then click on the fieldnames tab.
Here you can enter the fieldnames, default ASP-Edit places a * which commands SQL to get all fields from that particular database, which saves you time because you don't have to type out all the individual fieldnames.
New page wizard, allows quick generation of new page skeleton, see new page wizard for more details.


Remark Wizard

The remark wizard allows you to create remarks which over extend more then 1 line, select the type of remark on the left side. The click on OK to continue working on your document


Link validating

ASP-Edit does link validation on all links that are in the document that you are editing, it will show and test these links and display the results so you can see where un reliable or not working links appear.

This is a valuable tool for every webdesigner, you can now check and test before you publish!


Document toolbar

The bottom toolbar displays the result of the validation and structure wizards, these wizards have their own screen, but are also capable of displaying their results in the bottom results toolbar, you can close this screen by clicking on the x at the right-hand side or by using the view menu located at the menubar.
This shows the document structure when requested via the tools menu, it will show a breakdown of used tags, plus their hierarchy in the document
This shows the links within the document (all links, that includes picture links, file links etc.)
This shows the results of the validator tool, the preceding image shows if the link is good, bad or status unknown when trying to validate.


SQL Statements
SELECT - tells ADO what fields to retrieve from which table. For example:

SELECT * FROM TableName WHERE - limits what data is selected. An asterix means all elements (columns) in the database.
SELECT * FROM TableName WHERE FieldName = 'Value'

ORDER BY -sorts what is returned.
SELECT * FROM TableName WHERE FieldName > 50 or FieldName < 100 ORDER BY FieldName2, FieldName3

INSERT INTO - adds a new record to the table.
INSERT INTO TableName (FieldName1, FieldName2) VALUES ('Value1', 'Value2')

DELETE FROM - deletes records from the table.
DELETE FROM TableName WHERE FieldName = 'Value'

UPDATE - changes the values of particular fields of the table
UPDATE TableName SET FieldName = 'New Value' WHERE FieldName2 = 'Value2'
UPDATE ComicCollection SET StreetValue = StreetValue + 10 WHERE Title = 'X-men'

LIKE - used to search through records
SELECT * FROM TableName Where FieldName LIKE '%%Value%%'

Wild Card Characters! The % (percent sign) indicates there can be characters before or after the value.


Useful ASP related weblinks

There are resources online that cover the whole topic of ASP related programming, we provide you with the better ones so you can get to know more about ASP programming and scripting

The ASP Town | Weblink | 5 Star Rating
4 Guys from Rolla | Weblink | 5 Star Rating
ASP help dot com | Weblink | 5 Star Rating
ASP Developer net | Weblink | 4 Star Rating
The ASP hole | Weblink | 4 Star Rating
The ASP alliance | Weblink | 4 Star Rating
Typical SQL Commands | Weblink | 4 Star Rating
Introduction to SQL | Weblink | 5 Star Rating


About ASP-Edit (C) Tashcom Software 1999-2000

ASP-Edit is Copyright by Tashcom Software 1999-2000, all rights reserved.

For support use | support@tashcom.com
For information use | information@tashcom.com
For sales enquiries use | sales@tashcom.com
For Cdrom & Magazine inclusion use | Mag_cd@tashcom.com

For updates check our website on a regular basis (http://www.tashcom.com)


Update check

ASP-Edit can check if there are new versions online. you can find this feature under the tools menu,or directly via CTRL+ALT+U.

We suggest you check on a regular basis.


Copyrights and trademarks

ASP-Edit | (© (copyright)Tashcom Software 1999-2000, all rights are reserved.
Windows, ASP, VBScript and Encrypt engine | © / ™ Microsoft corporation
ASP 101 Course | © Jeff Papiez


Free components and scripts

ASP-Edit comes with several free components and sample scripts, the following scripts and components are included.

Scripts;
Cookie lib, a library which makes the usage of cookies easier
Credit card tester, allows you to check credit cards (validate) online
Calender script, generates a calender from the current month.
Several counter scripts (5 in total)
Sample scripts for usage on the cookie library
Sample files for using forms with asp files and how to handle and pass on their variables

Components;

None yet in this version


Including ASP-Edit on Magazine cd-roms

If you want to include ASP-Edit on a cdrom that is packaged with a magazine you should contact Tashcom Software first.
Please contact mag_cd@tashcom.com, with details about the magazine and a standard non disclosure contract.

In 99% of all enquiries we honor the fact that one of our products is included on a cdrom, but you have to contact us first.


Registering ASP-Edit (C) Tashcom Software 1999-2000

Registration is $50.00 and disables the nag-screen and publishing client,
you can register in several ways, the easiest and fastest one is via the internet.
Go to our registration page, or directly to the reg-net server.

If you want to register by telephone call 1 800 WWW2REG (1 800 999-2734).
If you call from outside the US, then dial +1 (661) 288-1827.

We accept checks, but will charge a extra $2.50 (processing fee), for more information send a email to checks@tashcom.com.


Help with VBScript
Included with the ASP-Edit package is a helpfile that deals with VBScript, this file is *not* produced by Tashcom Software but by Microsoft, and is there fore copyrighted by Microsoft.

You can choose to let ASP-Edit launch this file every time you start up ASP-Edit, please see the setting up ASP-Edit section on how to do this. The helpfile contains all the current VBScripting commands, routines and functions and will provide a great help to programmers of all levels.


Q & A on Active Server Pages and Visual Basic Scripting

What is asp?
Who really uses it?
What can it do?
What do I need to start?

What is VBScript?

Does ASP only work with MS Internet Explorer browsers?

What is Asp

So you have seen and heard about ASP on the web, and now you wonder what the
heck it is, and what it can do for you.

Well, Microsoft introduced Active Server Pages (ASP) in December 1996. Microsoft made it available for its Internet Information Server (IIS), beginning with Version 3.0 of IIS.

It is what is known as an open technology framework, comprised of several different commonly used programming disciplines. But does ASP demand that you be or become a programmer in order to benefit from ASP? No, not at all.

Simply stated, ASP’s "best role in life" is that it makes it easier to integrate small-to-intermediate size programs, information, and database stored data into web pages. ASP allows the web page HTML, through the use of VBScript, to send or receive web site user information, data stored in databases, or to take or give information from or to your web site user – but is by no means limited to these functions.

At the core of ASP we find VBScript – Visual BASIC Script – a fairly simple, yet powerful, script-programming language developed by Microsoft.

VBScript acts as a "glue" to combine and deliver all the power of ASP into your web pages, and often when people speak of ASP and "ASP code," they generally mean VBScript code." VBScript is the default script language in ASP, but you can also use other scripting languages like Perl, JScript etc.

VBScript is mostly server sided, meaning that the script is run on the web server itself – the computer that actually hosts your web pages – so that the web page functions regardless of the web browser used to view that page – it is thusly said to "generate clean HTML."

" Since their inception in 1997, Active Server Pages (ASP), have provided
developers with an open, compile-free application environment, combining HTML
pages, scripts, and ActiveX server components to produce highly dynamic
websites.

*As server-side scripts that run on a Microsoft Internet Information Server,
Active Server Pages (ASP) can be used to build database driven websites where
the browser may have no scripting at all. Our Main Feature shows one of this
script's many functions: building pop-up windows that gather data for the
developer.

ASP allows HTML web pages to generate database updates in a variety of
formats, including Excel spreadsheets.

*You'll also see that, because ASP code does not need to be compiled
separately, HTML coders can freely add ASP commands to their pages, further
widening the code's functionality. "

Back to top

What can it do

Everything, well…. almost. The possibilities are endless, but some key uses are creating web pages based on database searches, personalizing web pages to individual web users, displaying different web pages for different browsers, password protection, games and forms processing.

Back to top

Who really uses it

With over 500,000 developers already in its so far 24-month life span, and 1,000,000 projected by the end of 1999, Active Server Pages is high-growth technology. Many web sites are using ASP, and although its use is not mandatory, it allows a much greater flexibility in both the overall web site, and the web pages that it is used in.

As of this writing, there are over 500 companies producing ASP components and applications covering functionality from Accounting and Electronic Commerce to Mainframe and other Legacy data access. Microsoft is building ASP and other scripting technologies into its operating systems and many of its products, including Exchange, Office, IIS server and Visual Studio.

Back to top

What do i need to start

To get the full power and all the features of ASP, you need access to a MS Windows NT 4.0 or above machine with IIS 4.0 or above (IIS 4.0 is a free upgrade to NT included in the NT 4.0 Option Pack).

The easiest way to publish ASP pages is by getting NT server hosting from your web site services provider. Many companies offer it, e.g. Softcom, WEB2010, Interland, some of which offer ASP hosting from 9.95$ a month.

You can also install a light version of ASP capability on your personal or "local" Windows 95 or 98 machine with Microsoft’s PWS (Personal Web Server). You can download PWS free from Microsoft's website, and PWS is also included in the NT 4.0 Option Pack. If you install PWS, remember to check or enable the ASP option.

You will need Internet Explorer 4.01 or later installed on your computer. MS IE 4.01 or later versions also support ASP. If you run on a UNIX server, or for other reasons do not want to use NT IIS, you can buy and install ChiliASP, a third-party product that enables ASP power on non-NT platforms.

Back to top

What is VBScipt?

VBScript, the newest member of the Visual Basic family of programming
languages, brings active scripting to a wide variety of environments, including Web client scripting in Microsoft Internet Explorer version 3.0 and later, and Web server scripting in Microsoft Internet Information Server (IIS) version 3.0.and later.

Easy to Use and Learn

If you already know or feel comfortable with Visual Basic or Visual Basic for Applications, VBScript will be very familiar.

Even if you don't know Visual Basic, once you learn and get comfortable with VBScript, you're on your way to programming with the whole family of Visual Basic languages, should you wish to do so.

Although you can learn about VBScript in just these few Web pages, they don't teach you how to program. To get started programming, take a look at Step by Step books available from Microsoft Press.

As we said earlier, you don’t have to be or become a "master programmer" in order to use and benefit from ASP and from VBScript, but you may be pleasantly surprised when you use ASP and VBScript….a lot of interesting possibilities seem to rub off on you!

Back to top

Does ASP only work with MS Internet Explorer browsers?

The answer is short: No! ASP also works with Netscape and Opera browsers.

Because ASP is generally a server side process, the web browser does not have to handle code.

Back to top


What's new in ASP-Edit

New in this version (version 2.05 / Build 1),
Added This help-file :)
Added More sample scripts (see components and free scripts)
Added basic JavaScript tags (under insert menu), not all JavaScript statements are supported (yet).
Added Publishing Agent, allows you to upload the files, scripts and components to your web-server
Added Cookie wizard, allows you to create the code for cookies fast and efficient
Added Include file wizard, allows you to quickly scan and insert file includes (file & virtual includes)
Added Useful resources for ASP developers, lots of information on the internet on ASP and VBScript programming.
Added small SQL tutorial with most used commands within ASP
Added VBScript help-file, (c) Microsoft corporation
Added Source beautifier, run this and your source will be nicely idented
Added Microsoft's encryption tool, which encrypts your code so nobody can get away with your code anymore.
Added a new page wizard
Added a link validator
Added a document structure validator
Added Email source this allows you to send your asp files via email (alternative to publishing)
Added update check, ASP-Edit checks if there new updates online
Added \ to / conversion (under edit menu)
Added / to \ conversion (under edit menu)
Added space to &nbsp; conversion (under edit menu)
Added add url wizard
Added Font face select wizard
Added Font color select wizard
Added Remark wizard (generates remarks for VBS/ASP/JScript)
Added add image (image link) wizard
Added email form generator wizard
Added make function wizard
Added all html tags to filemanager panel
Added all webtv tags to filemanager panel
Added user-defined tags wizard (also resides on file-manager panel)
Added Assistant to assist you with the creating and maintenance of-
your webpages
Added Table wizard, which help you create tables, and if desired turns the table in to a Visual Basic Script function
Added open url, this will (like the normal open file) open a file, with the difference that it can be anywhere on the internet.
Improved filemanager, now shows time needed to download the document via the internet.
Added table wizard
Added internal browser
Added Meta tag wizard
Ability to launch wizards from html tool bar, feature can be toggled to advanced user setting (which does not launch wizard but just inserts bare html)
Advanced mode toggle function
Added SQL Query generator, this enables you to create and test! SQL queries via selecting datasources, databases and fields.
Added DSN configuration tool


Advanced and Beginner modes
ASP-Edit allows toggling between Advanced and Beginner modes, the beginner mode will guide more, while the advanced mode is more for the technical people.

Performance is not influenced by switching modes


Lia